/*
 *	dnsutl - utilities to make DNS easier to configure
 *	Copyright (C) 1999-2001, 2006 Peter Miller;
 *	All rights reserved.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * MANIFEST: interface definition for dns-boot-check/check.c
 */

#ifndef DNS_BOOT_CHECK_CHECK_H
#define DNS_BOOT_CHECK_CHECK_H

#include <str.h>

void check(const char *);

void check_cache(string_ty *, string_ty *);
void check_directory(string_ty *);
void check_domain(string_ty *);
void check_forwarder(string_ty *);
void check_option(string_ty *);
void check_primary(string_ty *, string_ty *);
void check_secondary(string_ty *, string_ty *);

#endif /* DNS_BOOT_CHECK_CHECK_H */
